classification
Title: run_tests.py: Work around issues 20355 and 20361
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Arfrever, ezio.melotti, michael.foord, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-02-06 21:55 by Arfrever, last changed 2014-02-24 13:35 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
run_tests.py.patch Arfrever, 2014-02-06 21:55
Messages (4)
msg210423 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2014-02-06 21:55
Tools/scripts/run_tests.py contains:

def main(regrtest_args):
    args = [sys.executable,
            '-W', 'default',      # Warnings set to 'default'
            '-bb',                # Warnings about bytes/bytearray
            '-E',                 # Ignore environment variables
            ]


As described in issues #20355 and #20361, -bb fails to enable BytesWarning errors.

I suggest to include a small workaround, which will be deleted in Python 3.5. I attach patch.
msg210791 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-02-09 22:35
This sounds fine.
msg212086 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-24 12:01
New changeset c89e495cdff8 by Serhiy Storchaka in branch '3.3':
Issue #20535: PYTHONWARNING no longer affects the run_tests.py script.
http://hg.python.org/cpython/rev/c89e495cdff8

New changeset 656d0e273ccb by Serhiy Storchaka in branch 'default':
Issue #20535: PYTHONWARNING no longer affects the run_tests.py script.
http://hg.python.org/cpython/rev/656d0e273ccb
msg212096 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-24 13:35
LGTM too. Thank you for your patch Arfrever.
History
Date User Action Args
2014-02-24 13:35:58serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg212096

stage: patch review -> resolved
2014-02-24 12:01:54python-devsetnosy: + python-dev
messages: + msg212086
2014-02-24 09:28:27serhiy.storchakasetassignee: serhiy.storchaka
2014-02-09 22:35:46pitrousetmessages: + msg210791
2014-02-08 18:41:22serhiy.storchakasetnosy: + pitrou, ezio.melotti, michael.foord

type: behavior
stage: patch review
2014-02-06 21:55:17Arfrevercreate